Download it now!
Bug 127328 - UI: Make German strings in list of embedded databases consistent
Summary: UI: Make German strings in list of embedded databases consistent
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
6.3.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: topicUI
Depends on:
Blocks: Database-Wizard
  Show dependency treegraph
 
Reported: 2019-09-04 06:17 UTC by Thomas Lendo
Modified: 2019-09-05 14:27 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2019-09-04 06:17:09 UTC
The German strings in the list of embedded databases in the first page of the Datase Wizard differ:

English version:
* HSQLDB Embedded
* Firebird Embedded

German version:
* Firebord (eingebettet)
* Eingebettete HSQLDB

Differences:
- Different wording ('embedded' as prefix and suffix)
- Different sorting than in English version


Another question:
As the string before the drop down list already is named 'Embedded database', why is 'embedded' duplicated in the list entries?


Version: 6.3.0.4 (x64)
Build-ID: 057fc023c990d676a43019934386b85b21a9ee99
CPU-Threads: 12; BS: Windows 10.0; UI-Render: Standard; VCL: win; 

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 41cd3e8e817c8c33a13608e62eeb06ce2c6977e4
CPU threads: 12; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-09-01_22:04:10
Comment 1 Julien Nabet 2019-09-04 06:51:33 UTC
Heiko/Xisco: before talking about translation, there's first an UI question.
Comment 2 Heiko Tietze 2019-09-04 08:06:49 UTC
Would do the same as Thomas and rename the second entry to "HSQLDB (eingebettet)". Alternatively both with "x (integriert)".
Comment 3 Julien Nabet 2019-09-04 08:38:01 UTC
Thomas: about rationalizing and removing "Embedded" part since there's already "Embedded database", I think the labels must be used elsewhere. That's why I think we may just keep "embedded". About prefix or suffix, I've got no strong opinion.


Heiko: thank you for your quick feedback!


Lionel: since it concerns Base, even if it's just UI part, thought you might be interested in this one. (I was first only focused on UX team).
Comment 4 Thomas Lendo 2019-09-04 11:24:25 UTC
(In reply to Heiko Tietze from comment #2)
> Would do the same as Thomas and rename the second entry to "HSQLDB
> (eingebettet)". Alternatively both with "x (integriert)".
+1
I also prefer this variant as it's better readable in lists with the database name in front. That's also easier for sorting. (The other variant is better readable in continuous text.)

(In reply to Julien Nabet from comment #3)
> Thomas: about rationalizing and removing "Embedded" part since there's
> already "Embedded database", I think the labels must be used elsewhere.
> That's why I think we may just keep "embedded".
Sounds reasonable and the doubling no tragedy in point of UX in this case.

Regarding different sorting:
In 6.4 master it's the same in English and German. Seems to be changed between 6.3 and 6.4. So there is no issue with sorting anymore.
Comment 6 Xisco Faulí 2019-09-05 11:22:10 UTC
(In reply to Julien Nabet from comment #5)
> Fixed on Pootle:
> for 6.2UI
> https://translations.documentfoundation.org/de/translate/
> #search=HSQLDB%20(eingebettet)&sfields=source,target&unit=160004969&offset=0
> 
> for 6.3UI
> https://translations.documentfoundation.org/de/translate/
> #search=HSQLDB%20(eingebettet)&sfields=source,target&unit=45398818&offset=0

Can we close it as RESOLVED FIXED ?
Comment 7 Julien Nabet 2019-09-05 14:27:44 UTC
Let's put this one to FIXED then but as always, I don't know when it'll be included in translation repo.